# Uses of Class
org.apache.commons.codec.binary.BaseNCodec

Packages that use BaseNCodec
Package
Description
org.apache.commons.codec.binary
Base64, Base32, Binary, and Hexadecimal String encoding and decoding.

- ## Uses of BaseNCodec in org.apache.commons.codec.binary

  Subclasses of BaseNCodec in org.apache.commons.codec.binary
  Modifier and Type
  Class
  Description
  `class`
  `Base16`
  Provides Base16 encoding and decoding.
  `class`
  `Base32`
  Provides Base32 encoding and decoding as defined by RFC 4648.
  `class`
  `Base64`
  Provides Base64 encoding and decoding as defined by RFC 2045.
  Constructors in org.apache.commons.codec.binary with parameters of type BaseNCodec
  Modifier
  Constructor
  Description
  `protected`
  `BaseNCodecInputStream(InputStream inputStream, BaseNCodec baseNCodec, boolean doEncode)`
  Constructs a new instance.
  ``
  `BaseNCodecOutputStream(OutputStream outputStream, BaseNCodec basedCodec, boolean doEncode)`
  Constructs a new instance.